[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 483: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/bbcode.php on line 112: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4692: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4694: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4695: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 4696: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3823)
rSAP for Android Forum • View topic - Working with Android 2.3.7 and SAP V2
It is currently Mon Aug 20, 2018 7:13 pm

rSAP for Android Forum

Support forum for Android rSAP App

Working with Android 2.3.7 and SAP V2

Discussions about rSAP and general Bluetooth compatibility of the Mercedes-Benz Bluetooth SAP telephone module
 
Posts: 19
Joined: Sun Feb 12, 2012 1:16 pm

Working with Android 2.3.7 and SAP V2

Post by gus8313 » Sun Feb 12, 2012 3:13 pm

Hello,
I have an HTC HD2 with "Nexus HD2 gingerbread v3.2a (Android 2.3.7)" rom.
rsap is perfectly working on this phone with my Mercedes SAP V2 car kit.
The only problem is the phonebook sync made from SIM and not from the phone.
I will try your new "Bluetooth.apk" and give a feedback.
Thanks for your job and this great app!!!

 
Posts: 19
Joined: Sun Feb 12, 2012 1:16 pm

Re: Working with Android 2.3.7 and SAP V2

Post by gus8313 » Sun Feb 12, 2012 6:14 pm

I didn't notice any improvement with the new "Bluetooth.apk", contacts are still imported from the SIM.
Is there another trick?

 
Posts: 4081
Joined: Wed Mar 23, 2011 4:12 pm

Re: Working with Android 2.3.7 and SAP V2

Post by admin » Sun Feb 12, 2012 6:32 pm

So far I only have info from V3 owners. Can you please send me a HCI log (if it is possible with your phone)? So I can check what the SAP V2 expects - and what it gets...

 
Posts: 19
Joined: Sun Feb 12, 2012 1:16 pm

Re: Working with Android 2.3.7 and SAP V2

Post by gus8313 » Sun Feb 12, 2012 6:36 pm

Should I start HCI logging before pairing?
Where are these log stored?
Thanks for your support.

 
Posts: 4081
Joined: Wed Mar 23, 2011 4:12 pm

Re: Working with Android 2.3.7 and SAP V2

Post by admin » Sun Feb 12, 2012 8:39 pm

Yes, please start before pairing/connecting. The logs are on the SD card in folder ".rsap". Send them to my email address: admin@...

 
Posts: 19
Joined: Sun Feb 12, 2012 1:16 pm

Re: Working with Android 2.3.7 and SAP V2

Post by gus8313 » Sun Feb 12, 2012 9:42 pm

Mail sent :)
The log is very small, hope i did it well...

 
Posts: 4081
Joined: Wed Mar 23, 2011 4:12 pm

Re: Working with Android 2.3.7 and SAP V2

Post by admin » Tue Feb 14, 2012 11:50 pm

I checked your logs and it looks like the SAP V2 does not support PBAP but only the old Nokia-style IrMC. So the modified Bluetooth.apk will not help.

So you will have to live with the SIM contacts. The first option is to get an app to copy your phone contacts to the SIM card. The second option is to wait for my plugin that simulates SIM contacts with the phone contacts. But that may take some time...

The last option may be that someone writes a module to support the IrMC protocol. But this is difficult because the specification is not public.

 
Posts: 19
Joined: Sun Feb 12, 2012 1:16 pm

Re: Working with Android 2.3.7 and SAP V2

Post by gus8313 » Wed Feb 15, 2012 1:16 pm

My SIM card can only handle 20 contact, i will have to insert my 120 cantacts in Mercedes phone system by hand...
By the way, having rSAP on Android is so good that I can live with the limitation!
I found two open source implementation of IrMC:
- Maemo: http://wiki.maemo.org/Bluetooth_PBAP
- NetBsd: http://www.koders.com/c/fid276D242CB864 ... defs.h#L34
Can it help ?

 
Posts: 19
Joined: Sun Feb 12, 2012 1:16 pm

Re: Working with Android 2.3.7 and SAP V2

Post by gus8313 » Fri Feb 17, 2012 11:11 pm

Hello,
I had the opportunity to test with a Merdedes SAP V3 today and... it works!!!
- Pairing ---> OK
- Pnone call ---> OK
- Phonebook sync (through PBAP)---> OK: a phonebook access request was displayed on my phone, then the phonebook transfer automatically started.
Bye

 
Posts: 7
Joined: Sat Sep 22, 2012 2:13 pm

Re: Working with Android 2.3.7 and SAP V2

Post by kamer7@wp.pl » Sat Sep 22, 2012 2:43 pm


Next

Return to Mercedes-Benz Bluetooth (SAP) telephone module

Who is online

Users browsing this forum: No registered users and 0 guests